Subject: bug#3563 closed by Chong Yidong <[email-masked]> (Re: 23.0.94; Elisp Intro manual: Lisp Interactive mode -> Interaction)

From: [email-masked] (Emacs bug Tracking System)
Date: Sun, 14 Jun 2009 18:40:07 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#3563: 23.0.94; Elisp Intro manual: Lisp Interactive mode -> Interaction

It has been closed by Chong Yidong <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Chong Yidong <[email-masked]> by
replying to this email.

-- 
3563: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3563
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: 23.0.94; Elisp Intro manual: Lisp Interactive mode -> Interaction
From: Chong Yidong <[email-masked]>
To: "Drew Adams" <[email-masked]>
Cc: [email-masked]
Date: Sun, 14 Jun 2009 14:35:24 -0400

> "(By default, the `eval-defun' command works only in Emacs Lisp mode
> or in Lisp Interactive mode.)"
 
Fixed, thanks.

Subject: 23.0.94; Elisp Intro manual: Lisp Interactive mode -> Interaction
From: "Drew Adams" <[email-masked]>
To: <[email-masked]>
Date: Sun, 14 Jun 2009 11:06:20 -0700

(eintr)edebug says this:
 
"(By default, the `eval-defun' command works only in Emacs Lisp mode
or in Lisp Interactive mode.)"
 
There is no Lisp Interactive mode, at least none that I can find.
 
However, I see `lisp-interactive-mode' and
`lisp-interactive-mode-hook' quite a bit on the Web (e.g. Emacs
wiki). I think it is just a typo, but perhaps there is a library
somewhere that defines it.
 
In any case, to avoid possible confusion, this occurrence should be
fixed. It is the only occurrence I found when searching the GNU Emacs
Lisp sources and Emacs Info manuals.
 
In GNU Emacs 23.0.94.1 (i386-mingw-nt5.1.2600)
 of 2009-05-24 on SOFT-MJASON
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (3.4)'